Name:           ifm
Version:        5.1
Release:        16%{?dist}
Summary:        Interactive Fiction Mapper

Group:          Amusements/Games
License:        GPLv2+
URL:            http://www.sentex.net/~dchapes/ifm/
Source0:        http://www.ifarchive.org/if-archive/mapping-tools/ifm-%{version}.tar.gz
Source1:        ifm.vim
Source2:        ifm.sh
Patch1:         ifm-5.1-destdir.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  tk
BuildRequires:  zlib-devel
BuildRequires:  automake

%description
IFM is a language and a program for keeping track of your progress through
an Interactive Fiction game.  You can record each room you visit and its
relation to other rooms, the initial locations of useful items you find, and
the tasks you need to perform in order to solve the game.


%prep
%setup -q
%patch1 -p1
install -pm 0644 %{SOURCE1} doc/.
install -pm 0644 %{SOURCE2} doc/.
sed -i -e 's,/usr/local/doc/ifm/html,%{_docdir}/%{name}-%{version}/ifm,' \
       -e 's,/usr/local/doc/ifm/ifm.pdf,%{_docdir}/%{name}-%{version}/ifm.pdf,' \
       doc/ifm.1

# Needed for ppc64, automake can't be run here
cp -f %{_datadir}/automake-*/config.* etc/


%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
rm -rf $RPM_BUILD_ROOT/%{_prefix}/doc
rm -f demos/Makefile*
rm -f doc/ifm/WARNINGS doc/ifm/images.* doc/ifm/*.pl


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc COPYING NEWS README THANKS
%doc demos/
%doc doc/advent?.scr doc/advent.cmd doc/gfdl.lyx doc/ifm.pdf doc/macros.tex doc/tkifm.txt doc/*.ifm doc/ifm.vim doc/ifm.sh
%doc doc/ifm/
%{_bindir}/*
%{_datadir}/ifm/
%{_libdir}/ifm/
%{_mandir}/man1/ifm.1*


%changelog
* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 5.1-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Jul 17 2013 Petr Pisar <ppisar@redhat.com> - 5.1-15
- Perl 5.18 rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 5.1-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 5.1-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 5.1-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 5.1-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 5.1-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Mar 03 2009 Robert Scheck <robert@fedoraproject.org> - 5.1-9
- Solve the ppc64-redhat-linux-gnu configure target error

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 5.1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Jul 31 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 5.1-7
- fix license tag

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 5.1-6
- Autorebuild for GCC 4.3

* Thu Sep 14 2006 Chris Grau <chris@chrisgrau.com> 5.1-5
- Rebuild for FC-6.

* Sun Aug  6 2006 Chris Grau <chris@chrisgrau.com> 5.1-4
- Fixed file permission issue (bug #200828).

* Wed Mar 01 2006 Chris Grau <chris@chrisgrau.com> 5.1-3
- Rebuild for FC-5.

* Mon Sep 26 2005 Chris Grau <chris@chrisgrau.com> 5.1-2
- Added tk as a BR for the wish requirement in configure.
- Fixed paths in man page to point to proper documentation.
- Replaced instance of /usr with %%{_prefix}.

* Sun Sep  4 2005 Chris Grau <chris@chrisgrau.com> 5.1-1
- Initial build.
